---
title: HTMLElement.oncut
slug: Web/API/HTMLElement/oncut
tags:
  - API
  - Event Handler
  - Experimental
  - HTMLElement
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{ APIRef("HTML DOM") }} {{SeeCompatTable}}</div>

<p>The <code><strong>HTMLElement.oncut</strong></code> property of the {{domxref("HTMLElement")}} interface is an {{domxref("EventHandler")}} that processes {{event("cut")}} events.</p>

<p>The <code>cut</code> event fires when the user attempts to cut text.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.oncut = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("ClipboardEvent")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<p>This example allows text to be copied from the {{htmlElement("textarea")}}, but doesn't allow text to be cut. It also logs each copy and cut attempt.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;h3&gt;Play with this text area:&lt;/h3&gt;
&lt;textarea id="editor" rows="3"&gt;Try copying and cutting the text in this field!&lt;/textarea&gt;

&lt;h3&gt;Log:&lt;/h3&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">function logCopy(event) {
  log.innerText = 'Copied!\n' + log.innerText;
}

function preventCut(event) {
  event.preventDefault();
  log.innerText = 'Cut blocked!\n' + log.innerText;
}

const editor = document.getElementById('editor');
const log = document.getElementById('log');

editor.oncopy = logCopy;
editor.oncut = preventCut;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 700, 300)}}</p>

<h2 id="Specifications">Specifications</h2>

<p><a href="https://html.spec.whatwg.org/multipage/webappapis.html#handler-oncut">WHATWG Standard</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.oncut")}}</p>

<p>Since Firefox 13, the preference <code>dom.event.clipboardevents.enabled</code> controls this feature. It defaults to <code>true</code> but can be disabled.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Clipboard API event {{event("cut")}}</li>
 <li>Related event handlers
  <ul>
   <li>{{domxref("HTMLElement.oncopy")}}</li>
   <li>{{domxref("HTMLElement.onpaste")}}</li>
  </ul>
 </li>
</ul>
